package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed python3 package post-installation script subprocess returned error exit status 4

Bug #1779237 reported by Rodrigo Pompei on 2018-06-29
566
This bug affects 130 people
Affects Status Importance Assigned to Milestone
python3-defaults (Ubuntu)
High
Unassigned

Bug Description

Only Ubuntu Update

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: python3 3.6.5-3ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
Uname: Linux 4.15.0-22-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
Date: Thu Jun 28 22:51:28 2018
ErrorMessage: installed python3 package post-installation script subprocess returned error exit status 4
InstallationDate: Installed on 2018-04-13 (76 days ago)
InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 (20180228)
Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 3.6.5-3ubuntu1
PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 2.7.15~rc1-1
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu2
 apt 1.6.2
SourcePackage: python3-defaults
Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed python3 package post-installation script subprocess returned error exit status 4
UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)

Rodrigo Pompei (rodrigopompei) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python3-defaults (Ubuntu):
status: New → Confirmed
Brian Murray (brian-murray) wrote :

From the DpkgTerminalLog.txt:

Setting up python3 (3.6.5-3ubuntu1) ...
running python rtupdate hooks for python3.6...
E: py3compile:183: cannot create directory /usr/share/hplip/ui5/__pycache__: FileNotFoundError(2, 'No such file or directory')
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aboutdialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aboutdialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aligndialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/aligndialog_base.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/cleandialog.py'
[Errno 2] No such file or directory: '/usr/share/hplip/ui5/cleandialog_base.py'

Johann Tuffe (tafia) wrote :

Any idea how to workaround it?
I have tried to uninstall hplip but it is not enough.

Hey Johann
Do this

cd /usr/share/hplip
sudo python3 uninstall.py

Worked like a charm..... then upgrade python. All worked fine!!

Cheers!!

On Sat, Jul 14, 2018 at 5:00 AM Johann Tuffe <email address hidden>
wrote:

> Any idea how to workaround it?
> I have tried to uninstall hplip but it is not enough.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Confirmed
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
>

Carlos Sotto Maior (csotto) wrote :
Download full text (3.8 KiB)

Hey Youssef Amin.

Thanks for the fix. It worked great for me.

Carlos

Em sáb, 14 de jul de 2018 às 16:55, Youssef Amin <email address hidden>
escreveu:

> Hey Johann
> Do this
>
> cd /usr/share/hplip
> sudo python3 uninstall.py
>
> Worked like a charm..... then upgrade python. All worked fine!!
>
> Cheers!!
>
> On Sat, Jul 14, 2018 at 5:00 AM Johann Tuffe <email address hidden>
> wrote:
>
> > Any idea how to workaround it?
> > I have tried to uninstall hplip but it is not enough.
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1779237
> >
> > Title:
> > package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> > python3 package post-installation script subprocess returned error
> > exit status 4
> >
> > Status in python3-defaults package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > Only Ubuntu Update
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 18.04
> > Package: python3 3.6.5-3ubuntu1
> > ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> > Uname: Linux 4.15.0-22-generic x86_64
> > ApportVersion: 2.20.9-0ubuntu7.2
> > Architecture: amd64
> > Date: Thu Jun 28 22:51:28 2018
> > ErrorMessage: installed python3 package post-installation script
> > subprocess returned error exit status 4
> > InstallationDate: Installed on 2018-04-13 (76 days ago)
> > InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> > (20180228)
> > Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> > 3.6.5-3ubuntu1
> > PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> > 2.7.15~rc1-1
> > RelatedPackageVersions:
> > dpkg 1.19.0.5ubuntu2
> > apt 1.6.2
> > SourcePackage: python3-defaults
> > Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> > installed python3 package post-installation script subprocess returned
> > error exit status 4
> > UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1781497).
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Confirmed
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228...

Read more...

Download full text (5.8 KiB)

Thanks all for they help i AM very new in linux..

Obtener Outlook para Android<https://aka.ms/ghei36>

________________________________
From: <email address hidden> <email address hidden> on behalf of Carlos Sotto Maior <email address hidden>
Sent: Saturday, July 14, 2018 6:29:40 PM
To: <email address hidden>
Subject: Re: [Bug 1779237] Re: package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed python3 package post-installation script subprocess returned error exit status 4

Hey Youssef Amin.

Thanks for the fix. It worked great for me.

Carlos

Em sáb, 14 de jul de 2018 às 16:55, Youssef Amin <email address hidden>
escreveu:

> Hey Johann
> Do this
>
> cd /usr/share/hplip
> sudo python3 uninstall.py
>
> Worked like a charm..... then upgrade python. All worked fine!!
>
> Cheers!!
>
> On Sat, Jul 14, 2018 at 5:00 AM Johann Tuffe <email address hidden>
> wrote:
>
> > Any idea how to workaround it?
> > I have tried to uninstall hplip but it is not enough.
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1779237
> >
> > Title:
> > package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> > python3 package post-installation script subprocess returned error
> > exit status 4
> >
> > Status in python3-defaults package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > Only Ubuntu Update
> >
> > ProblemType: Package
> > DistroRelease: Ubuntu 18.04
> > Package: python3 3.6.5-3ubuntu1
> > ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> > Uname: Linux 4.15.0-22-generic x86_64
> > ApportVersion: 2.20.9-0ubuntu7.2
> > Architecture: amd64
> > Date: Thu Jun 28 22:51:28 2018
> > ErrorMessage: installed python3 package post-installation script
> > subprocess returned error exit status 4
> > InstallationDate: Installed on 2018-04-13 (76 days ago)
> > InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> > (20180228)
> > Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> > 3.6.5-3ubuntu1
> > PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> > 2.7.15~rc1-1
> > RelatedPackageVersions:
> > dpkg 1.19.0.5ubuntu2
> > apt 1.6.2
> > SourcePackage: python3-defaults
> > Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> > installed python3 package post-installation script subprocess returned
> > error exit status 4
> > UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
> >
> > To manage notifications about this bug go to:
> >
> >
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1781497).
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Confirmed
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: U...

Read more...

Youssef Amin (youssefamin) wrote :
Download full text (7.9 KiB)

Glad to help!

On Sat, Jul 14, 2018 at 5:50 PM Carlos Lujan Maldonado Ramirez <
<email address hidden>> wrote:

> Thanks all for they help i AM very new in linux..
>
> Obtener Outlook para Android<https://aka.ms/ghei36>
>
> ________________________________
> From: <email address hidden> <email address hidden> on behalf of Carlos
> Sotto Maior <email address hidden>
> Sent: Saturday, July 14, 2018 6:29:40 PM
> To: <email address hidden>
> Subject: Re: [Bug 1779237] Re: package python3 3.6.5-3ubuntu1 failed to
> install/upgrade: installed python3 package post-installation script
> subprocess returned error exit status 4
>
> Hey Youssef Amin.
>
> Thanks for the fix. It worked great for me.
>
> Carlos
>
> Em sáb, 14 de jul de 2018 às 16:55, Youssef Amin <
> <email address hidden>>
> escreveu:
>
> > Hey Johann
> > Do this
> >
> > cd /usr/share/hplip
> > sudo python3 uninstall.py
> >
> > Worked like a charm..... then upgrade python. All worked fine!!
> >
> > Cheers!!
> >
> > On Sat, Jul 14, 2018 at 5:00 AM Johann Tuffe <<email address hidden>
> >
> > wrote:
> >
> > > Any idea how to workaround it?
> > > I have tried to uninstall hplip but it is not enough.
> > >
> > > --
> > > You received this bug notification because you are subscribed to the
> bug
> > > report.
> > > https://bugs.launchpad.net/bugs/1779237
> > >
> > > Title:
> > > package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> > > python3 package post-installation script subprocess returned error
> > > exit status 4
> > >
> > > Status in python3-defaults package in Ubuntu:
> > > Confirmed
> > >
> > > Bug description:
> > > Only Ubuntu Update
> > >
> > > ProblemType: Package
> > > DistroRelease: Ubuntu 18.04
> > > Package: python3 3.6.5-3ubuntu1
> > > ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> > > Uname: Linux 4.15.0-22-generic x86_64
> > > ApportVersion: 2.20.9-0ubuntu7.2
> > > Architecture: amd64
> > > Date: Thu Jun 28 22:51:28 2018
> > > ErrorMessage: installed python3 package post-installation script
> > > subprocess returned error exit status 4
> > > InstallationDate: Installed on 2018-04-13 (76 days ago)
> > > InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> > > (20180228)
> > > Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> > > 3.6.5-3ubuntu1
> > > PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> > > 2.7.15~rc1-1
> > > RelatedPackageVersions:
> > > dpkg 1.19.0.5ubuntu2
> > > apt 1.6.2
> > > SourcePackage: python3-defaults
> > > Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> > > installed python3 package post-installation script subprocess returned
> > > error exit status 4
> > > UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
> > >
> > > To manage notifications about this bug go to:
> > >
> > >
> >
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
> > >
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1781497).
> > https://bugs.launchpad.net/bugs/1779237
> >
> > Title:
> > package...

Read more...

Johann Tuffe (tafia) wrote :

Thanks, running the uninstall script indeed worked.

Changed in python3-defaults (Ubuntu):
importance: Undecided → High
tags: added: regression-update

The uninstall procedure did NOT work to me!

Hope to find a good way out!

Thanks for the help so far!

RICARDO

On Mon, Jul 16, 2018, 00:05 Daniel van Vugt <email address hidden>
wrote:

> ** Changed in: python3-defaults (Ubuntu)
> Importance: Undecided => High
>
> ** Tags added: regression-update
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1781508).
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Confirmed
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
>

Steve Langasek (vorlon) wrote :

Removing the regression-update tag. This is certainly not a regression introduced in the update of the python3-defaults package, and there have been similar reports against the version of python3-defaults in the bionic release pocket. The bug is triggered by the configuration of python3-defaults, but that is probably not where the bug lies.

For the users who are seeing this bug: what is the output of 'dpkg -l hplip-data' on these systems?

tags: removed: regression-update
Changed in python3-defaults (Ubuntu):
status: Confirmed → Incomplete
Dimitri Clicque (shinobix9x) wrote :

after i did
sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

now it seems solved, i don't have the error anymore

uoklrigas (gmklrigas) wrote :

 I remove the file HPLIP from usr/share/ (sudo rm -r /usr/share/hplip) and
re-install (sh hplip-3.18.6.run)
now it seems OK

On Mon, Jul 16, 2018 at 9:21 AM, Dimitri Clicque <<email address hidden>
> wrote:

> after i did
> sudo apt-get install --reinstall hplip hplip-data
> sudo apt-get install --reinstall python3
>
> now it seems solved, i don't have the error anymore
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Incomplete
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+
> subscriptions
>

Steve Langasek (vorlon) wrote :

> I remove the file HPLIP from usr/share/ (sudo rm -r /usr/share/hplip)
> and re-install (sh hplip-3.18.6.run)

/usr/share/hplip is a directory that is managed by the hplip-data package in Ubuntu. If you have installed an upstream version of hplip from source on top of the package, we cannot guarantee this will work; and this probably entirely explains the upgrade failure of python3.

Why have you installed hplip from source on top of Ubuntu? Is there some howto on the Internet that suggests this is a reasonable thing to do?

moma (osmoma) wrote :

Hello,
I got the same Python3 upgrade error.

Prior that, I had installed the very latest hplip-3.18.6 from a .run file.
I did also install the hplip-3.18.6-plugin.run file.

Reason for this is another bug in the hplip package.
Please see: https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/1714659

The default hplip does not work in Ubuntu 18.04 with the GNOME-desktop
environment.
For example the "simple-scan" application did not start becuse of the
systray error in hplip.

I tried to alleviate this (systray + app exit) error by installing the
hplip from source.
It did not help, but I finally managed to disable the hplip`s use of
systray.

Ref:
https://sourceforge.net/projects/hplip/files/hplip/

http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/

Greetings
  osmo (moma) antero

Steve Langasek <email address hidden> escreveu no dia segunda,
16/07/2018 à(s) 22:00:

> > I remove the file HPLIP from usr/share/ (sudo rm -r /usr/share/hplip)
> > and re-install (sh hplip-3.18.6.run)
>
> /usr/share/hplip is a directory that is managed by the hplip-data
> package in Ubuntu. If you have installed an upstream version of hplip
> from source on top of the package, we cannot guarantee this will work;
> and this probably entirely explains the upgrade failure of python3.
>
> Why have you installed hplip from source on top of Ubuntu? Is there
> some howto on the Internet that suggests this is a reasonable thing to
> do?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Incomplete
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
>

--
Sent from my PC, laptop or phone with Ubuntu-Linux.

Steve Langasek (vorlon) wrote :

> Reason for this is another bug in the hplip package.
> Please see: https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/1714659

Ok, I'm not sure why you should need to install the hplip-gui package - it's in universe and not part of the standard Ubuntu printing stack - or why having it installed would cause issues for simple-scan. But in any case, installing this over the contents of /usr/share/hplip is invalid. Closing this bug as such.

Changed in python3-defaults (Ubuntu):
status: Incomplete → Invalid

I did like Dimitri wrote

sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

and that seems to solve my problem.

moma (osmoma) wrote :

>> Ubuntu printing stack - or why having it installed would cause issues
for simple-scan.
Well, simple-scan does not detect any scanners because HPLIP crashes due to
its incompatibility with the GNOME-desktop (its systray).

simple-scan is dependent on the printer/scanner drivers.

That is why.

2018-07-17 1:45 GMT+01:00 Steve Langasek <email address hidden>:

> > Reason for this is another bug in the hplip package.
> > Please see: https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/1714659
>
> Ok, I'm not sure why you should need to install the hplip-gui package -
> it's in universe and not part of the standard Ubuntu printing stack - or
> why having it installed would cause issues for simple-scan. But in any
> case, installing this over the contents of /usr/share/hplip is invalid.
> Closing this bug as such.
>
> ** Changed in: python3-defaults (Ubuntu)
> Status: Incomplete => Invalid
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Invalid
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+
> subscriptions
>

--
Sent from my PC, laptop or phone with Ubuntu-Linux.

tags: added: bugpattern-written

Dimitri's workaround has worked for me too but the systray msg continues.

Python3 was correctly configured.

Thanks

Ricardo

On Wed, Jul 18, 2018, 13:20 Viktor Nenadić <email address hidden>
wrote:

> I did like Dimitri wrote
>
> sudo apt-get install --reinstall hplip hplip-data
> sudo apt-get install --reinstall python3
>
> and that seems to solve my problem.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1781508).
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Invalid
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
>

paul (durand732) wrote :

hello

after this answer

I did like Dimitri wrote
hello

Hello
sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

solve my problem very good

Thank you
Paul

>

Thank Dimitri

Dariusz Pryszcz (pysiek1215) wrote :

Thanks for help

Have a nice day ;)

2018-07-20 13:10 GMT+02:00 paul <email address hidden>:

> hello
>
> after this answer
>
> I did like Dimitri wrote
> hello
>
> Hello
> sudo apt-get install --reinstall hplip hplip-data
> sudo apt-get install --reinstall python3
>
> solve my problem very good
>
>
> Thank you
> Paul
>
>
> >
>
>
> Thank Dimitri
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1781849).
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Invalid
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+
> subscriptions
>

Boyington (jm-cypers) wrote :

J'ai fait comme Dimitri a écrit

sudo apt-get install --reinstall hplip hplip-data
sudo apt-get installer --réinstall python3

Merci .... Excelent
JeanMa

Bartosz Sowa (sowaba3) wrote :

Thank you so much

sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

Updates work
Printer works too

TR Precht (trprecht) wrote :

sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

Did the trick for me too!

Youssef Amin many thanks for your help!
works perfect ;)

van hanegen (4997865862-o) wrote :

After:

sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

I's ok with python3 and hp laserjet 1018 printer

Thanks a lot!

Giannis (sv2fnl) on 2018-08-08
Changed in python3-defaults (Ubuntu):
status: Invalid → New
Steve Langasek (vorlon) on 2018-08-08
Changed in python3-defaults (Ubuntu):
status: New → Invalid

Hola
sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

soluciono mi problema!

Gracias Dimitri!!

florin (florin-arjocu) wrote :

Worked also on Ubuntu 18.10.

To reply to @Steve Langasek (@vorlon) - Why do we need to install the HPLIP from HP? In my case, I could not select if to print in color or black&white or grayscale, this option was simply missing for some reason.

chris (chris.rutten) wrote :

as per request this is my output for

$dpkg -l hplip-data

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii hplip-data 3.17.10+repa all HP Linux Printing and Imaging - d

Théo Vervaet (tvkh53) wrote :

Solution proposed by Dimitri worked also for me

Thanks very much Dimitri

Luiz Augusto (luizaugustopc) wrote :

Site, it also worked for me.

Em qua, 28 de nov de 2018 13:16, Théo Vervaet <<email address hidden>
escreveu:

> Solution proposed by Dimitri worked also for me
>
> Thanks very much Dimitri
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1781708).
> https://bugs.launchpad.net/bugs/1779237
>
> Title:
> package python3 3.6.5-3ubuntu1 failed to install/upgrade: installed
> python3 package post-installation script subprocess returned error
> exit status 4
>
> Status in python3-defaults package in Ubuntu:
> Invalid
>
> Bug description:
> Only Ubuntu Update
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: python3 3.6.5-3ubuntu1
> ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
> Uname: Linux 4.15.0-22-generic x86_64
> ApportVersion: 2.20.9-0ubuntu7.2
> Architecture: amd64
> Date: Thu Jun 28 22:51:28 2018
> ErrorMessage: installed python3 package post-installation script
> subprocess returned error exit status 4
> InstallationDate: Installed on 2018-04-13 (76 days ago)
> InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64
> (20180228)
> Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal,
> 3.6.5-3ubuntu1
> PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal,
> 2.7.15~rc1-1
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu2
> apt 1.6.2
> SourcePackage: python3-defaults
> Title: package python3 3.6.5-3ubuntu1 failed to install/upgrade:
> installed python3 package post-installation script subprocess returned
> error exit status 4
> UpgradeStatus: Upgraded to bionic on 2018-05-03 (56 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1779237/+subscriptions
>

Pablo Merighi (pablomerighi) wrote :

Solved with

sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

Thanks

Chris York (1-0hris-x) wrote :

Solved with

sudo apt-get install --reinstall hplip hplip-data
sudo apt-get install --reinstall python3

Thanks

To post a comment you must log in.